// StartMarket.java

import swarm.Globals; // no # but a ; at the end
import swarm.defobj.ZoneImpl;
import swarm.defobj.LispArchiverImpl;

//import "modelSwarm.java";

public class StartMarket
	{
	public static void main(String[] args) // the main function MUST be `void'
		{
// declare modelSwarm
		ModelSwarm modelSwarm;

		LispArchiverImpl archiver;
		
// initialise Swarm: need the 4 strings!!!
		Globals.env.initSwarm ("market","2.1.1","bissey@sp.unipmn.it",args);

// create the archiver object
		archiver=new LispArchiverImpl(Globals.env.globalZone,"parameters.scm");
		
// import the parameters (note the casting as ModelSwarm). The archiver
// will also use automatically the constructor for the ModelSwarm
		modelSwarm=(ModelSwarm)archiver.getWithZone$key(Globals.env.globalZone,"modelSwarm");
		
// get the simulation running
		Globals.env.randomGenerator.setStateFromSeed(100000);
		modelSwarm.buildObjects();
		modelSwarm.buildActions();
		modelSwarm.activateIn(null);
		(modelSwarm.getActivity()).run();
		}
	}